
Extended Fields - Bug #2138

Issues count is not shown

15 Jan 2013 08:24 - Alexander Kuznecov

Status: Closed Start date: 15 Jan 2013

Priority: Normal Due date: 26 Jan 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version: 2.2.1 External issue:  

Description

Hello,

I have found that issue counter is not shown when issues grouped by some condition

See screenshot example.

After looking to view app/views/issues/_list.html.erb source code, I have changed one string and got issue count back:

from

<%= group.blank? ? 'None' : column_content(@query.group_by_column, issue) %> <span class="count">(

<%=  @issue_count_by_group[group_name] %>)</span>

to

<%= group.blank? ? 'None' : column_content(@query.group_by_column, issue) %> <span class="count">(

<%=  @issue_count_by_group[group] %>)</span>

As it done in vanilla issues list view    

Could you please explain reason of changing 'group’ to 'group name’? Probably I’m break something : )

Thanks

Tested on

Redmine 1.4.6 / Ruby 1.9.3-p327

Redmine 2.2.1 / Ruby 1.9.3-p362

Related issues:

Related to Extended Fields - Bug #2015: Grouping by custom field not working Closed 21 Mar 2012 08 Jul 2012

Associated revisions

Revision 79 - 26 Jan 2013 12:32 - Andriy Lesyuk

Fixed #2138

History

#1 - 20 Jan 2013 23:41 - Andriy Lesyuk

- Status changed from New to Open

#3 - 24 Jan 2013 14:06 - Andriy Lesyuk

Could you please explain reason of changing 'group’ to 'group name’? Probably I’m break something : )
See #2015. Will need to figure out why group.to_s does not work...

#4 - 26 Jan 2013 12:32 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r79.

#5 - 26 Jan 2013 12:32 - Andriy Lesyuk

- Due date set to 26 Jan 2013
